libetonyek::IWORKDictionary Struct Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKDictionary Struct Reference

A dictionary of all referenceable entities in the presentation. More...

`#include <IWORKDictionary.h>`

Inheritance diagram for libetonyek::IWORKDictionary:

## Public Member Functions
| IWORKDictionary ()

## Public Attributes
IWORKStyleMap_t | m_cellStyles
IWORKStyleMap_t | m_characterStyles
IWORKStyleMap_t | m_graphicStyles
IWORKStyleMap_t | m_layoutStyles
IWORKListStyleMap_t | m_listStyles
IWORKStyleMap_t | m_paragraphStyles
IWORKStyleMap_t | m_tabularStyles
IWORKStyleMap_t | m_vectorStyles
IWORKStylesheetMap_t | m_stylesheets
IWORKPathMap_t | m_beziers
IWORKDataMap_t | m_data
IWORKMediaContentMap_t | m_binaries
IWORKMediaContentMap_t | m_unfiltereds
IWORKMediaContentMap_t | m_filteredImages
IWORKImageMap_t | m_images
IWORKTabStopsMap_t | m_tabs
IWORKFilterDescriptorMap_t | m_filterDescriptors
IWORKListLabelTypeInfoMap_t | m_listLabelTypeInfos
IWORKListLabelTypeInfoMap_t | m_textLabels
IWORKListLabelGeometryMap_t | m_listLabelGeometries
boost::unordered_map< ID_t, std::deque< double > > | m_doubleArrays

## Detailed Description

A dictionary of all referenceable entities in the presentation.

In other words, all entities that might be included through a -ref element in the format. This is purely a file format concept; all that matters when an entity is inserted by a reference is that there has been an entity of the same type and with the same content inserted previously (or at least that is how I understand it. I might be wrong about it). That means we need to know all entities in the whole presentation to resolve references.

Note
  The dictionary contains (among other things) all master styles, therefore we do not handle them separately. (We might do that in the future, to ensure correctness of the format.)

## Constructor & Destructor Documentation

libetonyek::IWORKDictionary::IWORKDictionary | ( |  | ) |

## Member Data Documentation

IWORKPathMap_t libetonyek::IWORKDictionary::m_beziers

IWORKMediaContentMap_t libetonyek::IWORKDictionary::m_binaries

IWORKStyleMap_t libetonyek::IWORKDictionary::m_cellStyles

Referenced by libetonyek::IWORKDiscardContext::element().

IWORKStyleMap_t libetonyek::IWORKDictionary::m_characterStyles

Referenced by libetonyek::IWORKDiscardContext::element().

IWORKDataMap_t libetonyek::IWORKDictionary::m_data

boost::unordered_map<ID_t, std::deque<double> > libetonyek::IWORKDictionary::m_doubleArrays

IWORKFilterDescriptorMap_t libetonyek::IWORKDictionary::m_filterDescriptors

IWORKMediaContentMap_t libetonyek::IWORKDictionary::m_filteredImages

IWORKStyleMap_t libetonyek::IWORKDictionary::m_graphicStyles

IWORKImageMap_t libetonyek::IWORKDictionary::m_images

IWORKStyleMap_t libetonyek::IWORKDictionary::m_layoutStyles

Referenced by libetonyek::IWORKDiscardContext::element().

IWORKListLabelGeometryMap_t libetonyek::IWORKDictionary::m_listLabelGeometries

IWORKListLabelTypeInfoMap_t libetonyek::IWORKDictionary::m_listLabelTypeInfos

IWORKListStyleMap_t libetonyek::IWORKDictionary::m_listStyles

IWORKStyleMap_t libetonyek::IWORKDictionary::m_paragraphStyles

Referenced by libetonyek::IWORKDiscardContext::element().

IWORKStylesheetMap_t libetonyek::IWORKDictionary::m_stylesheets

IWORKTabStopsMap_t libetonyek::IWORKDictionary::m_tabs

IWORKStyleMap_t libetonyek::IWORKDictionary::m_tabularStyles

Referenced by libetonyek::IWORKDiscardContext::element().

IWORKListLabelTypeInfoMap_t libetonyek::IWORKDictionary::m_textLabels

IWORKMediaContentMap_t libetonyek::IWORKDictionary::m_unfiltereds

IWORKStyleMap_t libetonyek::IWORKDictionary::m_vectorStyles

The documentation for this struct was generated from the following files:

- IWORKDictionary.h
- IWORKDictionary.cpp